#  DeleteService.pl
#  Example: 8.6
#  ----------------------------------------
#  From "Win32 Perl Scripting: Administrators Handbook" by Dave Roth
#  Published by New Riders Publishing.
#  ISBN # 1-57870-215-1
#
#  This script removes a Win32 service from the list of available
#  services.

use Win32::Daemon;
$ServiceName = 'MyServiceName';
$Machine = "\\\\" . Win32::NodeName();
if( Win32::Daemon::DeleteService( $Machine, $ServiceName ) )
{
    print "The '$ServiceName' service was successfully removed.\n";
}
else
{
    print "Failed to remove the '$ServiceName' service.\n";
    print "Error: ";
    print Win32::FormatMessage( Win32::Daemon::GetLastError() ), "\n";
}   
