#  Spawning2.pl
#  Example 7.10:
#  ----------------------------------------
#  From "Win32 Perl Scripting: Administrators Handbook" by Dave Roth
#  Published by New Riders Publishing.
#  ISBN # 1-57870-215-1
#
#  This script illustrates using the Win32::Spawn() function. It also
#  expands evironment variables manually.
#
print "From the book 'Win32 Perl Scripting: The Administrator's Handbook' by Dave Roth\n\n";


use Win32;
my $App = "%SystemRoot%\\notepad.exe";
my $Args = "notepad %temp%\\test.txt";
$App =~ s/%(.*?)%/$ENV{$1}/g;
$Args =~ s/%(.*?)%/$ENV{$1}/g;
if( Win32::Spawn( $App, $Args, $Pid ) )
{
    print "$App was successfully created with PID $Pid\n";
}
