#  QuerySQLServer.pl
#  Example 8.8:
#  ----------------------------------------
#  From "Win32 Perl Scripting: Administrators Handbook" by Dave Roth
#  Published by New Riders Publishing.
#  ISBN # 1-57870-215-1
#
#  This script queries for all MS SQL Servers on the net.
#
print "From the book 'Win32 Perl Scripting: The Administrator's Handbook' by Dave Roth\n\n";


use Win32::NetAdmin;
$Domain = Win32::DomainName();
Win32::NetAdmin::GetDomainController( '', $Domain, $Pdc );
if( Win32::NetAdmin::GetServers( $Pdc, $Domain, 0x04, \@List ) )
{
    foreach my $Machine ( @List )
    {
        print "\\\\$Machine is a SQL Server.\n";
    }
}

